---
references:
- id: AhnBayesian2012
  accessed:
    - year: 2022
      month: 8
      day: 16
  author:
    - family: Ahn
      given: Sungjin
    - family: Korattikara
      given: Anoop
    - family: Welling
      given: Max
  citation-key: AhnBayesian2012
  collection-title: ICML'12
  container-title: >-
    Proceedings of the 29th International Coference on International Conference
    on Machine Learning
  event-place: Madison, WI, USA
  event-title: ICML
  ISBN: 978-1-4503-1285-1
  issued:
    - year: 2012
      month: 6
      day: 26
  page: 1771–1778
  publisher: Omnipress
  publisher-place: Madison, WI, USA
  title: Bayesian posterior sampling via stochastic gradient fisher scoring
  type: paper-conference
  URL: https://arxiv.org/abs/1206.6380

- id: AryaAutomatic2022
  accessed:
    - year: 2022
      month: 12
      day: 2
  author:
    - family: Arya
      given: Gaurav
    - family: Schauer
      given: Moritz
    - family: Schäfer
      given: Frank
    - family: Rackauckas
      given: Christopher Vincent
  citation-key: AryaAutomatic2022
  event-title: Advances in Neural Information Processing Systems
  issued:
    - year: 2022
      month: 10
      day: 31
  language: en
  title: Automatic Differentiation of Programs with Discrete Randomness
  type: paper-conference
  URL: https://openreview.net/forum?id=V22VeIZ9QU

- id: BlundellWeight2015
  accessed:
    - year: 2023
      month: 2
      day: 8
  author:
    - family: Blundell
      given: Charles
    - family: Cornebise
      given: Julien
    - family: Kavukcuoglu
      given: Koray
    - family: Wierstra
      given: Daan
  citation-key: BlundellWeight2015
  collection-title: ICML'15
  container-title: >-
    Proceedings of the 32nd International Conference on International Conference
    on Machine Learning - Volume 37
  event-place: Lille, France
  event-title: International Conference on Machine Learning
  ISSN: 1938-7228
  issued:
    - year: 2015
      month: 7
      day: 6
  page: 1613–1622
  publisher: JMLR.org
  publisher-place: Lille, France
  title: Weight uncertainty in neural networks
  type: paper-conference
  URL: http://arxiv.org/abs/1505.05424

- id: CasellaRaoBlackwellisation1996
  accessed:
    - year: 2017
      month: 11
      day: 14
  author:
    - family: Casella
      given: George
    - family: Robert
      given: Christian P.
  citation-key: CasellaRaoBlackwellisation1996
  container-title: Biometrika
  container-title-short: Biometrika
  DOI: 10.1093/biomet/83.1.81
  ISSN: 0006-3444
  issue: '1'
  issued:
    - year: 1996
      month: 3
      day: 1
  page: 81-94
  publisher: '[Oxford University Press, Biometrika Trust]'
  title: Rao-Blackwellisation of sampling schemes
  type: article-journal
  URL: >-
    https://ecommons.cornell.edu/bitstream/handle/1813/31839/BU-1252-M.pdf;sequence=1
  volume: '83'

- id: FuStochastic2005
  author:
    - family: Fu
      given: Michael
  citation-key: FuStochastic2005
  issued:
    - year: 2005
  language: en
  page: '32'
  title: Stochastic Gradient Estimation
  type: article-journal
  URL: >-
    https://web.archive.org/web/20170430095634/http://www.dtic.mil/dtic/tr/fulltext/u2/a438511.pdf

- id: GlassermanGradient1991
  author:
    - family: Glasserman
      given: Paul
    - family: Ho
      given: Yu-Chi
  citation-key: GlassermanGradient1991
  ISBN: 978-0-7923-9095-4
  issued:
    - year: 1991
  language: en
  number-of-pages: '250'
  publisher: Springer Science & Business Media
  title: Gradient Estimation Via Perturbation Analysis
  type: book

- id: GrathwohlOops2021
  accessed:
    - year: 2022
      month: 12
      day: 5
  author:
    - family: Grathwohl
      given: Will
    - family: Swersky
      given: Kevin
    - family: Hashemi
      given: Milad
    - family: Duvenaud
      given: David
    - family: Maddison
      given: Chris J.
  citation-key: GrathwohlOops2021
  DOI: 10.48550/arXiv.2102.04509
  issued:
    - year: 2021
      month: 6
      day: 6
  number: arXiv:2102.04509
  publisher: arXiv
  title: 'Oops I Took A Gradient: Scalable Sampling for Discrete Distributions'
  type: article
  URL: http://arxiv.org/abs/2102.04509

- id: HyvarinenEstimation2005
  author:
    - family: Hyvärinen
      given: Aapo
  citation-key: HyvarinenEstimation2005
  container-title: The Journal of Machine Learning Research
  container-title-short: J. Mach. Learn. Res.
  ISSN: 1532-4435
  issued:
    - year: 2005
      month: 12
      day: 1
  page: 695–709
  title: Estimation of Non-Normalized Statistical Models by Score Matching
  type: article-journal
  URL: http://jmlr.org/papers/v6/hyvarinen05a.html
  volume: '6'

- id: LiuRaoBlackwellized2019
  accessed:
    - year: 2022
      month: 8
      day: 18
  author:
    - family: Liu
      given: Runjing
    - family: Regier
      given: Jeffrey
    - family: Tripuraneni
      given: Nilesh
    - family: Jordan
      given: Michael I.
    - family: McAuliffe
      given: Jon
  citation-key: LiuRaoBlackwellized2019
  DOI: 10.48550/arXiv.1810.04777
  issued:
    - year: 2019
      month: 5
      day: 13
  number: arXiv:1810.04777
  publisher: arXiv
  title: Rao-Blackwellized Stochastic Gradients for Discrete Distributions
  type: article
  URL: http://arxiv.org/abs/1810.04777

- id: MohamedMonte2020
  accessed:
    - year: 2020
      month: 9
      day: 17
  author:
    - family: Mohamed
      given: Shakir
    - family: Rosca
      given: Mihaela
    - family: Figurnov
      given: Michael
    - family: Mnih
      given: Andriy
  citation-key: MohamedMonte2020
  container-title: Journal of Machine Learning Research
  ISSN: 1533-7928
  issue: '132'
  issued:
    - year: 2020
  page: 1-62
  title: Monte Carlo Gradient Estimation in Machine Learning
  type: article-journal
  URL: http://jmlr.org/papers/v21/19-346.html
  volume: '21'

- id: OktayRandomized2020
  accessed:
    - year: 2021
      month: 1
      day: 25
  author:
    - family: Oktay
      given: Deniz
    - family: McGreivy
      given: Nick
    - family: Aduol
      given: Joshua
    - family: Beatson
      given: Alex
    - family: Adams
      given: Ryan P.
  citation-key: OktayRandomized2020
  container-title: arXiv:2007.10412 [cs, stat]
  issued:
    - year: 2020
      month: 7
      day: 20
  title: Randomized Automatic Differentiation
  type: article-journal
  URL: http://arxiv.org/abs/2007.10412

- id: RanganathBlack2013
  accessed:
    - year: 2022
      month: 2
      day: 9
  author:
    - family: Ranganath
      given: Rajesh
    - family: Gerrish
      given: Sean
    - family: Blei
      given: David M.
  citation-key: RanganathBlack2013
  container-title: arXiv:1401.0118 [cs, stat]
  issued:
    - year: 2013
      month: 12
      day: 31
  title: Black Box Variational Inference
  type: article-journal
  URL: http://arxiv.org/abs/1401.0118

- id: RichterVarGrad2020
  accessed:
    - year: 2022
      month: 9
      day: 6
  author:
    - family: Richter
      given: Lorenz
    - family: Boustati
      given: Ayman
    - family: Nüsken
      given: Nikolas
    - family: Ruiz
      given: Francisco J. R.
    - family: Akyildiz
      given: Ömer Deniz
  citation-key: RichterVarGrad2020
  DOI: 10.48550/arXiv.2010.10436
  issued:
    - year: 2020
      month: 10
      day: 29
  number: arXiv:2010.10436
  publisher: arXiv
  title: 'VarGrad: A Low-Variance Gradient Estimator for Variational Inference'
  type: article
  URL: http://arxiv.org/abs/2010.10436

- id: RoscaMeasure2019
  author:
    - family: Rosca
      given: Mihaela
    - family: Figurnov
      given: Michael
    - family: Mohamed
      given: Shakir
    - family: Mnih
      given: Andriy
  citation-key: RoscaMeasure2019
  container-title: NeurIPS Workshop on Approximate Bayesian Inference
  issued:
    - year: 2019
  title: Measure–valued derivatives for approximate Bayesian inference
  type: paper-conference

- id: RubinsteinCrossEntropy2004
  accessed:
    - year: 2016
      month: 3
      day: 20
  author:
    - family: Rubinstein
      given: Reuven Y
    - family: Kroese
      given: Dirk P
  citation-key: RubinsteinCrossEntropy2004
  DOI: 10.1007/978-1-4757-4321-0
  event-place: New York, NY
  ISBN: 978-1-4757-4321-0
  issued:
    - year: 2004
  language: English
  publisher: Springer New York
  publisher-place: New York, NY
  title: >-
    The Cross-Entropy Method a Unified Approach to Combinatorial Optimization,
    Monte-Carlo Simulation and Machine Learning
  type: book

- id: RubinsteinSimulation2016
  author:
    - family: Rubinstein
      given: Reuven Y.
    - family: Kroese
      given: Dirk P.
  citation-key: RubinsteinSimulation2016
  collection-title: Wiley series in probability and statistics
  edition: 3 edition
  event-place: Hoboken, New Jersey
  ISBN: 978-1-118-63216-1
  issued:
    - year: 2016
      month: 11
      day: 7
  language: English
  number-of-pages: '432'
  publisher: Wiley
  publisher-place: Hoboken, New Jersey
  title: Simulation and the Monte Carlo Method
  type: book

- id: SchulmanGradient2015
  accessed:
    - year: 2021
      month: 12
      day: 14
  author:
    - family: Schulman
      given: John
    - family: Heess
      given: Nicolas
    - family: Weber
      given: Theophane
    - family: Abbeel
      given: Pieter
  citation-key: SchulmanGradient2015
  collection-title: NIPS'15
  container-title: >-
    Proceedings of the 28th International Conference on Neural Information
    Processing Systems - Volume 2
  event-place: Cambridge, MA, USA
  issued:
    - year: 2015
      month: 12
      day: 7
  page: 3528–3536
  publisher: MIT Press
  publisher-place: Cambridge, MA, USA
  title: Gradient estimation using stochastic computation graphs
  type: paper-conference
  URL: http://arxiv.org/abs/1506.05254

- id: ShiSpectral2018
  accessed:
    - year: 2022
      month: 8
      day: 24
  author:
    - family: Shi
      given: Jiaxin
    - family: Sun
      given: Shengyang
    - family: Zhu
      given: Jun
  citation-key: ShiSpectral2018
  event-title: ICML
  issued:
    - year: 2018
      month: 6
      day: 7
  language: en
  publisher: arXiv
  title: A Spectral Approach to Gradient Estimation for Implicit Distributions
  type: paper-conference
  URL: http://arxiv.org/abs/1806.02925

- id: StokerConsistent1986
  accessed:
    - year: 2020
      month: 10
      day: 13
  archive: JSTOR
  author:
    - family: Stoker
      given: Thomas M.
  citation-key: StokerConsistent1986
  container-title: Econometrica
  DOI: 10.2307/1914309
  ISSN: 0012-9682
  issue: '6'
  issued:
    - year: 1986
  page: 1461-1481
  publisher: '[Wiley, Econometric Society]'
  title: Consistent Estimation of Scaled Coefficients
  type: article-journal
  volume: '54'

- id: vanKriekenStorchastic2021
  accessed:
    - year: 2021
      month: 11
      day: 3
  author:
    - family: Krieken
      given: Emile
      non-dropping-particle: van
    - family: Tomczak
      given: Jakub M.
    - family: Teije
      given: Annette
      dropping-particle: ten
  citation-key: vanKriekenStorchastic2021
  container-title: arXiv:2104.00428 [cs, stat]
  event-title: Thirty-Fifth Conference on Neural Information Processing Systems
  issued:
    - year: 2021
      month: 10
      day: 26
  title: 'Storchastic: A Framework for General Stochastic Automatic Differentiation'
  type: paper-conference
  URL: http://arxiv.org/abs/2104.00428

- id: WalderNew2019
  accessed:
    - year: 2020
      month: 9
      day: 22
  author:
    - family: Walder
      given: Christian J.
    - family: Roussel
      given: Paul
    - family: Nock
      given: Richard
    - family: Ong
      given: Cheng Soon
    - family: Sugiyama
      given: Masashi
  citation-key: WalderNew2019
  container-title: arXiv:1901.11311 [cs, stat]
  issued:
    - year: 2019
      month: 6
      day: 24
  title: New Tricks for Estimating Gradients of Expectations
  type: article-journal
  URL: http://arxiv.org/abs/1901.11311
...
